﻿<!-- manuel de la fuente -->

<!DOCTYPE html>
<html>
<head>
	<title>Add Users</title>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/vue/3.2.33/vue.global.min.js"></script>
</head>
<body>
<div id="app">
	First name: <input type="text" v-model="input_name">
	Last name: <input type="text" v-model="input_surname">
	<button @click="addUser">Add user</button>

	<table style="margin-top:20px">
		<caption>Users</caption>
		<thead>
		<tr>
			<th>Index</th>
			<th>First name</th>
			<th>Last name</th>
		</tr>
		</thead>
		<tbody>
		<tr v-for="(user, key) in users" :key="index">
			<td>{{ key + 1 }}</td>
			<td>{{ user.firstName }}</td>
			<td>{{ user.lastName }}</td>
		</tr>
		</tbody>
	</table>
</div>
<script>
	var app = Vue.createApp({
		data() {
			return {
				input_name: "",
				input_surname: "",
				users: [
					{
						firstName: "John",
						lastName: "Doe"
					},
					{
						firstName: "Ann",
						lastName: "Franklin"
					}
				],
			};
		},
		methods: {
			addUser() {
				if (this.input_name === "" || this.input_surname === "")
					window.alert("Uno o más campos están vacíos")
				else
					this.users.push({ firstName: this.input_name, lastName: this.input_surname })
			}
		}
	});

	const montada = app.mount("#app");
</script>
</body>
</html>